anova.trls {spatial} | R Documentation

## Anova tables for fitted trend surface objects

### Description

Compute analysis of variance tables for one or more fitted trend surface model objects; where `anova.trls` is called with multiple objects, it passes on the arguments to `anovalist.trls`.

### Usage

    ## S3 method for class 'trls'
    anova(object, ...)
    anovalist.trls(object, ...)

### Arguments

`object` | A fitted trend surface model object from `surf.ls`
`...` | Further objects of the same kind

### Value

`anova.trls` and `anovalist.trls` return objects corresponding to their printed tabular output.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`surf.ls`

### Examples

    library(stats)
    data(topo, package="MASS")
    topo0 <- surf.ls(0, topo)
    topo1 <- surf.ls(1, topo)
    topo2 <- surf.ls(2, topo)
    topo3 <- surf.ls(3, topo)
    topo4 <- surf.ls(4, topo)
    anova(topo0, topo1, topo2, topo3, topo4)
    summary(topo4)

[Package spatial version 7.3-5 Index]